# Entities

**Masterchef**

| Field           | Type       | Description            |
| --------------- | ---------- | ---------------------- |
| id              | ID         | chef address           |
| bonusMultiplier | BigInt     | bonus multiplier       |
| devaddr         | Bytes      | dev address            |
| migrator        | Bytes      | migrator address       |
| owner           | Bytes      | owner address          |
| startBlock      | BigInt     | start block            |
| swipe           | Bytes      | swipe token address    |
| swipePerBlock   | BigInt     | swipe per block        |
| totalAllocPoint | BigInt     | total allocation point |
| pools           | \[Pools]   | array of pools         |
| poolCount       | BigInt     | pool count             |
| slpBalance      | BigDecimal | slp balance            |
| slpAge          | BigDecimal | slp age                |
| slpAgeRemoved   | BigDecimal | slp age removed        |
| slpDeposited    | BigDecimal | slp deposited          |
| slpWithdrawn    | BigDecimal | slp withdrawn          |
| history         | \[History] | array of history       |
| updatedAt       | BigInt     | updated at             |

**History**

| Field         | Type       | Description                                     |
| ------------- | ---------- | ----------------------------------------------- |
| id            | ID         | unix timestamp for the start of the day / 86400 |
| owner         | Bytes      | owner address                                   |
| slpBalance    | BigDecimal | slp balance                                     |
| slpAge        | BigDecimal | slp age                                         |
| slpAgeRemoved | BigDecimal | slp age removed                                 |
| slpDeposited  | BigDecimal | slp deposited                                   |
| slpWithdrawn  | BigDecimal | slp withdrawn                                   |
| timestamp     | BigInt     | timestamp                                       |
| block         | BigInt     | block                                           |

**Pool**

| Field             | Type       | Description                 |
| ----------------- | ---------- | --------------------------- |
| id                | ID         | id                          |
| owner             | Bytes      | owner address               |
| pair              | Bytes      | pair address                |
| allocPoint        | BigInt     | allocation point            |
| lastRewardBlock   | BigInt     | last reward block           |
| accSwipePerShare  | BigInt     | accumulated swipe per share |
| users             | \[User]    | array of users              |
| userCount         | BigInt     | user count                  |
| slpBalance        | BigDecimal | slp balance                 |
| slpAge            | BigDecimal | slp age                     |
| slpAgeRemoved     | BigDecimal | slp age removed             |
| slpDeposited      | BigDecimal | slp deposited               |
| slpWithdrawn      | BigDecimal | slp withdrawn               |
| swipeHarvested    | BigDecimal | swipe harvested             |
| swipeHarvestedUSD | BigDecimal | swipe harvested usd         |
| entryUSD          | BigDecimal | all-time entries in USD     |
| exitUSD           | BigDecimal | all-time exits in USD       |
| timestamp         | BigInt     | timestamp                   |
| block             | BigInt     | block                       |
| updatedAt         | BigInt     | updated at timestamp        |

**Pool History**

| Field             | Type       | Description                                                               |
| ----------------- | ---------- | ------------------------------------------------------------------------- |
| id                | ID         | pool id concatenated with unix timestamp for the start of the day / 86400 |
| pool              | Pool       | pool                                                                      |
| pair              | Bytes      | pair address                                                              |
| users             | \[User]    | array of users                                                            |
| userCount         | BigInt     | user count                                                                |
| slpBalance        | BigDecimal | slp balance                                                               |
| slpAge            | BigDecimal | slp age                                                                   |
| slpAgeRemoved     | BigDecimal | slp age removed                                                           |
| slpDeposited      | BigDecimal | slp deposited                                                             |
| slpWithdrawn      | BigDecimal | slp withdrawn                                                             |
| swipeHarvested    | BigDecimal | swipe harvested                                                           |
| swipeHarvestedUSD | BigDecimal | swipe harvested usd                                                       |
| entryUSD          | BigDecimal | all-time entries in usd                                                   |
| exitUSD           | BigDecimal | all-time exits in usd                                                     |
| timestamp         | BigInt     | timestamp                                                                 |
| block             | BigInt     | block                                                                     |
| updatedAt         | BigInt     | updated at timestamp                                                      |

**User**

| Field                        | Type       | Description                      |
| ---------------------------- | ---------- | -------------------------------- |
| id                           | ID         | user address                     |
| pool                         | Pool       | pool                             |
| amount                       | BigInt     | amount                           |
| rewardDebt                   | BigInt     | reward debt                      |
| entryUSD                     | BigDecimal | all-time entries in usd          |
| exitUSD                      | BigDecimal | all-time exits in usd            |
| swipeHarvested               | BigDecimal | swipe harvested                  |
| swipeHarvestedUSD            | BigDecimal | swipe harvested usd              |
| swipeHarvestedSinceLockup    | BigDecimal | swipe harvested since lockup     |
| swipeHarvestedSinceLockupUSD | BigDecimal | swipe harvested since lockup usd |
| timestamp                    | BigInt     | timestamp                        |
| block                        | BigInt     | block                            |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.swipe.org/swap/subgraph-api/masterchef/entities.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
